# -*- coding: utf-8 -*-

import matplotlib.pyplot as plt
import numpy as np
from IPython.display import Image


def print_idn(idn):
    idn_string = idn.rstrip()
    idn_list = idn_string.split(',')
    print_list = ["Manufacturer: ", "Model: ", "Serial Number: ", "Firmware: "]
    for i, j in zip(print_list, idn_list):
        print(i+j)
        
def setup_from_file(osc, filename):
    setfile = open(filename,'r')
    lines = setfile.readlines()
    instrument = None
    for line in lines:
        if line[0:2] == "##":
            instrument = line.split()[1]
        elif line[0] == "#":
            None
        elif line != "\n":
            if instrument == "osc":
                to_osc = line.strip("\n")
                osc.write(to_osc)    
        else:
            None

def screenshot(osc, filename, display=False):
    imgname = "%s.png" % filename
    osc.write("save:image:fileformat png")
    osc.write("hardcopy:layout portrait")
    osc.write("hardcopy start")
    imagedata = osc.read_raw()
    path = "Tektronix/screenshots/"
    f = open(path + imgname,'wb')
    f.write(imagedata)
    f.close()
    if display == True:
        return Image(path + imgname, width=600)
    